Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Fetching contributors…

Octocat-spinner-32-eaf2f5

Cannot retrieve contributors at this time

file 240 lines (238 sloc) 7.397 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239
<?xml version="1.0" encoding="UTF-8"?>
<package packagerversion="1.9.4" version="2.0" xmlns="http://pear.php.net/dtd/package-2.0" xmlns:tasks="http://pear.php.net/dtd/tasks-1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://pear.php.net/dtd/tasks-1.0 http://pear.php.net/dtd/tasks-1.0.xsd http://pear.php.net/dtd/package-2.0 http://pear.php.net/dtd/package-2.0.xsd">
 <name>Net_UserAgent_Detect</name>
 <channel>pear.php.net</channel>
 <summary>Net_UserAgent_Detect determines the Web browser, version, and platform from an HTTP user agent string</summary>
 <description>The Net_UserAgent object does a number of tests on an HTTP user
agent string. The results of these tests are available via methods of
the object.

This module is based upon the JavaScript browser detection code
available at http://www.mozilla.org/docs/web-developer/sniffer/browser_type.html.
This module had many influences from the lib/Browser.php code in
version 1.3 of Horde.</description>
 <lead>
  <name>Jason Rust</name>
  <user>jrust</user>
  <email>jrust@php.net</email>
  <active>yes</active>
 </lead>
 <helper>
  <name>Dan Allen</name>
  <user>dallen</user>
  <email>dallen@php.net</email>
  <active>yes</active>
 </helper>
 <helper>
  <name>David Costa</name>
  <user>gurugeek</user>
  <email>gurugeek@php.net</email>
  <active>yes</active>
 </helper>
 <date>2012-01-17</date>
 <time>23:54:33</time>
 <version>
  <release>2.5.3</release>
  <api>2.5.0</api>
 </version>
 <stability>
  <release>stable</release>
  <api>stable</api>
 </stability>
 <license uri="http://www.php.net/license">PHP License</license>
 <notes>
Request #18580 Detect IE9 compat mode
 </notes>
 <contents>
  <dir baseinstalldir="/" name="/">
   <file baseinstalldir="/" md5sum="f7c2cd943b38bf476a463ec34f411d58" name="docs/example.php" role="doc" />
   <file baseinstalldir="/" md5sum="b0f9ab12294e5c5d77c7838334815627" name="Net/UserAgent/Detect.php" role="php" />
   <file baseinstalldir="/" md5sum="22db54359392b09a052a5eb769eb132c" name="Net/UserAgent/Detect/APC.php" role="php" />
  </dir>
 </contents>
 <dependencies>
  <required>
   <php>
    <min>4.1.0</min>
   </php>
   <pearinstaller>
    <min>1.4.0b1</min>
   </pearinstaller>
  </required>
 </dependencies>
 <phprelease />
 <changelog>
  <release>
   <version>
    <release>1.0</release>
    <api>1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2002-05-21</date>
   <license uri="http://www.example.com">PHP 2.01</license>
   <notes>
This is the initial independent PEAR release.
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.1</release>
    <api>2.0.1</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2004-03-11</date>
   <license uri="http://www.example.com">PHP 2.01</license>
   <notes>
* Made it PHP5 compatible in a way that is BC
* Added support for Safari
* Bumped konq&apos;s javascript version up to 1.4
* Fix bug where w3m caused warnings
* fixed a notice error when the user agent is empty
* Fixed missing windows xp detection and added nested_table_render_bug quirk for netscape 4.8 and below.
* Code cleanups.
   </notes>
  </release>
  <release>
   <version>
    <release>2.1.0</release>
    <api>2.1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2005-04-18</date>
   <license uri="http://www.php.net/license">PHP License</license>
   <notes>
* Added support for firefox, opera6, opera7, aol8, webdav, netgem/iplayer, and win2003
* The getQuirk() method now works correctly
* Normally all browser information is cached the first time Net_UserAgent_Detect is run on a page to make it as speedy as possible. However, in some case there is need to clear the cached data. This can now be done by setting the &quot;re-evaluate&quot; option.
   </notes>
  </release>
  <release>
   <version>
    <release>2.2.0</release>
    <api>2.2.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2006-04-19</date>
   <license uri="http://www.php.net/license">PHP License</license>
   <notes>
* Adding new &quot;browsers&quot; that make it easier to exclude old browsers: belowie6, belowns6, and belowopera8
* Additional browsers now supported: opera8, ie7, icab
* Adding new &quot;feature&quot; which tells if a browser is AJAX enabled: ajax
* IE 5 on Mac is now detected correctly as ie5
* Force override of the user agent now works.
   </notes>
  </release>
  <release>
   <version>
    <release>2.3.0</release>
    <api>2.3.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2007-04-23</date>
   <license uri="http://www.php.net/license">PHP License</license>
   <notes>
* Additional browsers are now detected: opera9, firefox1.5, and firefox2.x
* Added new feature detection for if a browsers has SVG
* Added new feature detection for if a browsers has CSS2
* Fixed a bug that crashed the script when running with APC
   </notes>
  </release>
  <release>
   <version>
    <release>2.4.0</release>
    <api>2.4.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2007-09-19</date>
   <license uri="http://www.php.net/license">PHP License</license>
   <notes>
* Added a subclass, Net_UserAgent_Detect_APC, which allows Net_UserAgent_Detect results to be cached which makes subsequent lookups for that specific User Agent string very fast (Lucas Nealan)
* Added support Windows CE (Lucas Nealan)
* Added support for IE Mobile (Lucas Nealan)
* Quirk detect for AJAX has been updated (Lucas Nealan)
   </notes>
  </release>
  <release>
   <version>
    <release>2.5.0</release>
    <api>2.5.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2008-10-11</date>
   <license uri="http://www.php.net/license">PHP License</license>
   <notes>
* Added support for Google Chrome, Firefox 3, and Safari Mobile (iphone) (matteo)
* Fixed a path error in APC.php.
   </notes>
  </release>
  <release>
   <version>
    <release>2.5.1</release>
    <api>2.5.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2009-06-09</date>
   <license uri="http://www.php.net/license">PHP License</license>
   <notes>
Request #14790 - PHPCS
Request #16224 - IE8, Vista detection
   </notes>
  </release>
  <release>
   <version>
    <release>2.5.2</release>
    <api>2.5.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2010-04-15</date>
   <license uri="http://www.php.net/license">PHP License</license>
   <notes>
#15101: IE7up and IE8up correctly detected.
#15834: Now detecting different versions of OSX.
#16934: Fix undefined offset error.
Adding support for IE9 and iPhone.
   </notes>
  </release>
  <release>
   <version>
    <release>2.5.3</release>
    <api>2.5.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2012-01-17</date>
   <license uri="http://www.php.net/license">PHP License</license>
   <notes>
Request #18580 Detect IE9 compat mode
   </notes>
  </release>
 </changelog>
</package>
Something went wrong with that request. Please try again.